/* EmbeddedAlert.c generated by valac 0.32.0, the Vala compiler
 * generated from EmbeddedAlert.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2014 Granite Developers (http://launchpad.net/granite)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <gdk/gdk.h>


#define GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT (granite_widgets_embedded_alert_get_type ())
#define GRANITE_WIDGETS_EMBEDDED_ALERT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlert))
#define GRANITE_WIDGETS_EMBEDDED_ALERT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlertClass))
#define GRANITE_WIDGETS_IS_EMBEDDED_ALERT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT))
#define GRANITE_WIDGETS_IS_EMBEDDED_ALERT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT))
#define GRANITE_WIDGETS_EMBEDDED_ALERT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlertClass))

typedef struct _GraniteWidgetsEmbeddedAlert GraniteWidgetsEmbeddedAlert;
typedef struct _GraniteWidgetsEmbeddedAlertClass GraniteWidgetsEmbeddedAlertClass;
typedef struct _GraniteWidgetsEmbeddedAlertPrivate GraniteWidgetsEmbeddedAlertPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
typedef struct _Block7Data Block7Data;

struct _GraniteWidgetsEmbeddedAlert {
	GtkEventBox parent_instance;
	GraniteWidgetsEmbeddedAlertPrivate * priv;
	GtkLabel* primary_text_label;
	GtkLabel* secondary_text_label;
	GtkImage* image;
	GtkButtonBox* action_button_box;
};

struct _GraniteWidgetsEmbeddedAlertClass {
	GtkEventBoxClass parent_class;
};

struct _GraniteWidgetsEmbeddedAlertPrivate {
	GtkBox* content_hbox;
};

struct _Block7Data {
	int _ref_count_;
	GraniteWidgetsEmbeddedAlert* self;
	GtkAction* action_item;
};


static gpointer granite_widgets_embedded_alert_parent_class = NULL;

GType granite_widgets_embedded_alert_get_type (void) G_GNUC_CONST;
#define GRANITE_WIDGETS_EMBEDDED_ALERT_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlertPrivate))
enum  {
	GRANITE_WIDGETS_EMBEDDED_ALERT_DUMMY_PROPERTY
};
#define GRANITE_WIDGETS_EMBEDDED_ALERT_ERROR_ICON "dialog-error"
#define GRANITE_WIDGETS_EMBEDDED_ALERT_WARNING_ICON "dialog-warning"
#define GRANITE_WIDGETS_EMBEDDED_ALERT_QUESTION_ICON "dialog-question"
#define GRANITE_WIDGETS_EMBEDDED_ALERT_INFO_ICON "dialog-information"
#define GRANITE_WIDGETS_EMBEDDED_ALERT_MIN_HORIZONTAL_MARGIN 84
#define GRANITE_WIDGETS_EMBEDDED_ALERT_MIN_VERTICAL_MARGIN 48
GraniteWidgetsEmbeddedAlert* granite_widgets_embedded_alert_new (void);
GraniteWidgetsEmbeddedAlert* granite_widgets_embedded_alert_construct (GType object_type);
void granite_widgets_embedded_alert_set_alert (GraniteWidgetsEmbeddedAlert* self, const gchar* primary_text, const gchar* secondary_text, GtkAction** actions, int actions_length1, gboolean show_icon, GtkMessageType type);
void granite_widgets_embedded_alert_set_primary_text_visible (GraniteWidgetsEmbeddedAlert* self, gboolean show_primary_text);
void granite_widgets_embedded_alert_set_secondary_text_visible (GraniteWidgetsEmbeddedAlert* self, gboolean show_secondary_text);
void granite_widgets_embedded_alert_set_icon_visible (GraniteWidgetsEmbeddedAlert* self, gboolean show_icon);
static Block7Data* block7_data_ref (Block7Data* _data7_);
static void block7_data_unref (void * _userdata_);
GtkButton* granite_widgets_utils_new_button_from_action (GtkAction* action);
static gboolean ________lambda4_ (Block7Data* _data7_);
static gboolean _________lambda4__gtk_widget_button_release_event (GtkWidget* _sender, GdkEventButton* event, gpointer self);
void granite_widgets_embedded_alert_set_buttons_visible (GraniteWidgetsEmbeddedAlert* self, gboolean show_buttons);
static void granite_widgets_embedded_alert_finalize (GObject* obj);


GraniteWidgetsEmbeddedAlert* granite_widgets_embedded_alert_construct (GType object_type) {
	GraniteWidgetsEmbeddedAlert * self = NULL;
	GtkStyleContext* _tmp0_ = NULL;
	GtkButtonBox* _tmp1_ = NULL;
	GtkButtonBox* _tmp2_ = NULL;
	GtkLabel* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	GtkStyleContext* _tmp5_ = NULL;
	GtkLabel* _tmp6_ = NULL;
	GtkLabel* _tmp7_ = NULL;
	GtkLabel* _tmp8_ = NULL;
	GtkLabel* _tmp9_ = NULL;
	GtkLabel* _tmp10_ = NULL;
	GtkLabel* _tmp11_ = NULL;
	GtkLabel* _tmp12_ = NULL;
	GtkLabel* _tmp13_ = NULL;
	GtkLabel* _tmp14_ = NULL;
	GtkImage* _tmp15_ = NULL;
	GtkImage* _tmp16_ = NULL;
	GtkImage* _tmp17_ = NULL;
	GtkImage* _tmp18_ = NULL;
	GtkBox* message_vbox = NULL;
	GtkBox* _tmp19_ = NULL;
	GtkLabel* _tmp20_ = NULL;
	GtkLabel* _tmp21_ = NULL;
	GtkButtonBox* _tmp22_ = NULL;
	GtkBox* _tmp23_ = NULL;
	GtkBox* _tmp24_ = NULL;
	GtkBox* _tmp25_ = NULL;
	GtkBox* _tmp26_ = NULL;
	GtkBox* _tmp27_ = NULL;
	GtkBox* _tmp28_ = NULL;
	GtkBox* _tmp29_ = NULL;
	GtkBox* _tmp30_ = NULL;
	GtkImage* _tmp31_ = NULL;
	GtkBox* _tmp32_ = NULL;
	GtkBox* _tmp33_ = NULL;
#line 44 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	self = (GraniteWidgetsEmbeddedAlert*) g_object_new (object_type, NULL);
#line 45 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 45 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_style_context_add_class (_tmp0_, GTK_STYLE_CLASS_VIEW);
#line 47 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp1_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 47 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp1_);
#line 47 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_g_object_unref0 (self->action_button_box);
#line 47 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	self->action_button_box = _tmp1_;
#line 48 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp2_ = self->action_button_box;
#line 48 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp2_, GTK_ALIGN_START);
#line 50 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp3_ = (GtkLabel*) gtk_label_new (NULL);
#line 50 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp3_);
#line 50 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_g_object_unref0 (self->primary_text_label);
#line 50 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	self->primary_text_label = _tmp3_;
#line 51 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp4_ = self->primary_text_label;
#line 51 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp5_ = gtk_widget_get_style_context ((GtkWidget*) _tmp4_);
#line 51 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_style_context_add_class (_tmp5_, "h2");
#line 52 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp6_ = self->primary_text_label;
#line 52 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp6_, 12);
#line 54 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp7_ = (GtkLabel*) gtk_label_new (NULL);
#line 54 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp7_);
#line 54 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_g_object_unref0 (self->secondary_text_label);
#line 54 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	self->secondary_text_label = _tmp7_;
#line 55 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp8_ = self->secondary_text_label;
#line 55 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp8_, 18);
#line 57 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp9_ = self->primary_text_label;
#line 57 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp10_ = self->secondary_text_label;
#line 57 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_label_set_use_markup (_tmp10_, TRUE);
#line 57 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_label_set_use_markup (_tmp9_, TRUE);
#line 59 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp11_ = self->primary_text_label;
#line 59 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp12_ = self->secondary_text_label;
#line 59 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_object_set (_tmp12_, "wrap", TRUE, NULL);
#line 59 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_object_set (_tmp11_, "wrap", TRUE, NULL);
#line 65 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp13_ = self->primary_text_label;
#line 65 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp14_ = self->secondary_text_label;
#line 65 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp14_, GTK_ALIGN_START);
#line 65 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp13_, GTK_ALIGN_START);
#line 67 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp15_ = (GtkImage*) gtk_image_new ();
#line 67 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp15_);
#line 67 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_g_object_unref0 (self->image);
#line 67 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	self->image = _tmp15_;
#line 69 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp16_ = self->image;
#line 69 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp16_, GTK_ALIGN_END);
#line 70 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp17_ = self->image;
#line 70 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp17_, GTK_ALIGN_START);
#line 71 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp18_ = self->image;
#line 71 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp18_, 12);
#line 74 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_alert (self, "", "", NULL, 0, FALSE, GTK_MESSAGE_WARNING);
#line 76 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp19_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 76 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp19_);
#line 76 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	message_vbox = _tmp19_;
#line 77 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp20_ = self->primary_text_label;
#line 77 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_box_pack_start (message_vbox, (GtkWidget*) _tmp20_, FALSE, FALSE, (guint) 0);
#line 78 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp21_ = self->secondary_text_label;
#line 78 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_box_pack_start (message_vbox, (GtkWidget*) _tmp21_, FALSE, FALSE, (guint) 0);
#line 79 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp22_ = self->action_button_box;
#line 79 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_box_pack_end (message_vbox, (GtkWidget*) _tmp22_, FALSE, FALSE, (guint) 0);
#line 81 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp23_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 0);
#line 81 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp23_);
#line 81 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->content_hbox);
#line 81 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	self->priv->content_hbox = _tmp23_;
#line 82 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp24_ = self->priv->content_hbox;
#line 82 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp25_ = self->priv->content_hbox;
#line 82 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp25_, GTK_ALIGN_CENTER);
#line 82 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp24_, GTK_ALIGN_CENTER);
#line 83 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp26_ = self->priv->content_hbox;
#line 83 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp27_ = self->priv->content_hbox;
#line 83 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp27_, GRANITE_WIDGETS_EMBEDDED_ALERT_MIN_VERTICAL_MARGIN);
#line 83 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp26_, GRANITE_WIDGETS_EMBEDDED_ALERT_MIN_VERTICAL_MARGIN);
#line 84 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp28_ = self->priv->content_hbox;
#line 84 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp29_ = self->priv->content_hbox;
#line 84 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp29_, GRANITE_WIDGETS_EMBEDDED_ALERT_MIN_HORIZONTAL_MARGIN);
#line 84 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_margin_left ((GtkWidget*) _tmp28_, GRANITE_WIDGETS_EMBEDDED_ALERT_MIN_HORIZONTAL_MARGIN);
#line 86 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp30_ = self->priv->content_hbox;
#line 86 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp31_ = self->image;
#line 86 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_box_pack_start (_tmp30_, (GtkWidget*) _tmp31_, FALSE, FALSE, (guint) 0);
#line 87 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp32_ = self->priv->content_hbox;
#line 87 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_box_pack_end (_tmp32_, (GtkWidget*) message_vbox, TRUE, TRUE, (guint) 0);
#line 89 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp33_ = self->priv->content_hbox;
#line 89 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp33_);
#line 44 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_g_object_unref0 (message_vbox);
#line 44 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	return self;
#line 298 "EmbeddedAlert.c"
}


GraniteWidgetsEmbeddedAlert* granite_widgets_embedded_alert_new (void) {
#line 44 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	return granite_widgets_embedded_alert_construct (GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT);
#line 305 "EmbeddedAlert.c"
}


static Block7Data* block7_data_ref (Block7Data* _data7_) {
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_atomic_int_inc (&_data7_->_ref_count_);
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	return _data7_;
#line 314 "EmbeddedAlert.c"
}


static void block7_data_unref (void * _userdata_) {
	Block7Data* _data7_;
	_data7_ = (Block7Data*) _userdata_;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (g_atomic_int_dec_and_test (&_data7_->_ref_count_)) {
#line 323 "EmbeddedAlert.c"
		GraniteWidgetsEmbeddedAlert* self;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		self = _data7_->self;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_g_object_unref0 (_data7_->action_item);
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_g_object_unref0 (self);
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		g_slice_free (Block7Data, _data7_);
#line 333 "EmbeddedAlert.c"
	}
}


static gpointer _g_object_ref0 (gpointer self) {
#line 149 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	return self ? g_object_ref (self) : NULL;
#line 341 "EmbeddedAlert.c"
}


static gboolean ________lambda4_ (Block7Data* _data7_) {
	GraniteWidgetsEmbeddedAlert* self;
	gboolean result = FALSE;
	GtkAction* _tmp0_ = NULL;
#line 156 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	self = _data7_->self;
#line 157 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp0_ = _data7_->action_item;
#line 157 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_action_activate (_tmp0_);
#line 158 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	result = FALSE;
#line 158 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	return result;
#line 359 "EmbeddedAlert.c"
}


static gboolean _________lambda4__gtk_widget_button_release_event (GtkWidget* _sender, GdkEventButton* event, gpointer self) {
	gboolean result;
	result = ________lambda4_ (self);
#line 156 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	return result;
#line 368 "EmbeddedAlert.c"
}


void granite_widgets_embedded_alert_set_alert (GraniteWidgetsEmbeddedAlert* self, const gchar* primary_text, const gchar* secondary_text, GtkAction** actions, int actions_length1, gboolean show_icon, GtkMessageType type) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	GtkLabel* _tmp19_ = NULL;
	GtkLabel* _tmp20_ = NULL;
	GtkMessageType _tmp21_ = 0;
	gboolean _tmp22_ = FALSE;
	GtkButtonBox* _tmp23_ = NULL;
	GList* _tmp24_ = NULL;
	gboolean _tmp27_ = FALSE;
	GtkAction** _tmp28_ = NULL;
	gint _tmp28__length1 = 0;
	GtkLabel* _tmp51_ = NULL;
	const gchar* _tmp52_ = NULL;
	GtkLabel* _tmp53_ = NULL;
	const gchar* _tmp54_ = NULL;
#line 92 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 92 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_return_if_fail (primary_text != NULL);
#line 92 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_return_if_fail (secondary_text != NULL);
#line 96 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_size_request ((GtkWidget*) self, 1, 1);
#line 98 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp0_ = primary_text;
#line 98 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp0_ == NULL) {
#line 99 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		primary_text = "";
#line 405 "EmbeddedAlert.c"
	}
#line 101 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp1_ = secondary_text;
#line 101 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp1_ == NULL) {
#line 102 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		secondary_text = "";
#line 413 "EmbeddedAlert.c"
	}
#line 104 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp2_ = primary_text;
#line 104 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_primary_text_visible (self, g_strcmp0 (_tmp2_, "") != 0);
#line 105 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp3_ = secondary_text;
#line 105 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_secondary_text_visible (self, g_strcmp0 (_tmp3_, "") != 0);
#line 108 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp4_ = show_icon;
#line 108 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp4_) {
#line 427 "EmbeddedAlert.c"
		GtkLabel* _tmp5_ = NULL;
		GtkLabel* _tmp6_ = NULL;
		GtkLabel* _tmp7_ = NULL;
		GtkLabel* _tmp8_ = NULL;
		GtkImage* _tmp9_ = NULL;
		GtkMessageType _tmp10_ = 0;
#line 109 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp5_ = self->primary_text_label;
#line 109 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp6_ = self->secondary_text_label;
#line 109 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp6_, GTK_ALIGN_START);
#line 109 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp5_, GTK_ALIGN_START);
#line 110 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp7_ = self->primary_text_label;
#line 110 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_label_set_justify (_tmp7_, GTK_JUSTIFY_LEFT);
#line 111 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp8_ = self->secondary_text_label;
#line 111 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_label_set_justify (_tmp8_, GTK_JUSTIFY_FILL);
#line 112 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp9_ = self->image;
#line 112 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_image_set_pixel_size (_tmp9_, 48);
#line 116 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp10_ = type;
#line 116 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		switch (_tmp10_) {
#line 116 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			case GTK_MESSAGE_ERROR:
#line 460 "EmbeddedAlert.c"
			{
				GtkImage* _tmp11_ = NULL;
#line 118 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				_tmp11_ = self->image;
#line 118 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				gtk_image_set_from_icon_name (_tmp11_, "dialog-error", GTK_ICON_SIZE_DIALOG);
#line 119 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				break;
#line 469 "EmbeddedAlert.c"
			}
#line 116 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			case GTK_MESSAGE_WARNING:
#line 473 "EmbeddedAlert.c"
			{
				GtkImage* _tmp12_ = NULL;
#line 121 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				_tmp12_ = self->image;
#line 121 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				gtk_image_set_from_icon_name (_tmp12_, "dialog-warning", GTK_ICON_SIZE_DIALOG);
#line 122 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				break;
#line 482 "EmbeddedAlert.c"
			}
#line 116 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			case GTK_MESSAGE_INFO:
#line 486 "EmbeddedAlert.c"
			{
				GtkImage* _tmp13_ = NULL;
#line 124 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				_tmp13_ = self->image;
#line 124 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				gtk_image_set_from_icon_name (_tmp13_, "dialog-information", GTK_ICON_SIZE_DIALOG);
#line 125 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				break;
#line 495 "EmbeddedAlert.c"
			}
			default:
			{
				GtkImage* _tmp14_ = NULL;
#line 127 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				_tmp14_ = self->image;
#line 127 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				gtk_image_set_from_icon_name (_tmp14_, "dialog-warning", GTK_ICON_SIZE_DIALOG);
#line 128 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				break;
#line 506 "EmbeddedAlert.c"
			}
		}
	} else {
		GtkLabel* _tmp15_ = NULL;
		GtkLabel* _tmp16_ = NULL;
		GtkLabel* _tmp17_ = NULL;
		GtkLabel* _tmp18_ = NULL;
#line 132 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp15_ = self->primary_text_label;
#line 132 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp16_ = self->secondary_text_label;
#line 132 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp16_, GTK_ALIGN_CENTER);
#line 132 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp15_, GTK_ALIGN_CENTER);
#line 133 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp17_ = self->primary_text_label;
#line 133 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp18_ = self->secondary_text_label;
#line 133 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_label_set_justify (_tmp18_, GTK_JUSTIFY_CENTER);
#line 133 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_label_set_justify (_tmp17_, GTK_JUSTIFY_CENTER);
#line 530 "EmbeddedAlert.c"
	}
#line 137 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp19_ = self->primary_text_label;
#line 137 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp20_ = self->secondary_text_label;
#line 137 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp21_ = type;
#line 137 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_label_set_selectable (_tmp20_, _tmp21_ != GTK_MESSAGE_INFO);
#line 137 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_label_set_selectable (_tmp19_, _tmp21_ != GTK_MESSAGE_INFO);
#line 139 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp22_ = show_icon;
#line 139 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_icon_visible (self, _tmp22_);
#line 142 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp23_ = self->action_button_box;
#line 142 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp24_ = gtk_container_get_children ((GtkContainer*) _tmp23_);
#line 550 "EmbeddedAlert.c"
	{
		GList* button_collection = NULL;
		GList* button_it = NULL;
#line 142 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		button_collection = _tmp24_;
#line 142 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		for (button_it = button_collection; button_it != NULL; button_it = button_it->next) {
#line 558 "EmbeddedAlert.c"
			GtkWidget* button = NULL;
#line 142 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			button = (GtkWidget*) button_it->data;
#line 562 "EmbeddedAlert.c"
			{
				GtkButtonBox* _tmp25_ = NULL;
				GtkWidget* _tmp26_ = NULL;
#line 143 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				_tmp25_ = self->action_button_box;
#line 143 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				_tmp26_ = button;
#line 143 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				gtk_container_remove ((GtkContainer*) _tmp25_, _tmp26_);
#line 572 "EmbeddedAlert.c"
			}
		}
#line 142 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_g_list_free0 (button_collection);
#line 577 "EmbeddedAlert.c"
	}
#line 147 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp28_ = actions;
#line 147 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp28__length1 = actions_length1;
#line 147 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp28_ != NULL) {
#line 585 "EmbeddedAlert.c"
		GtkAction** _tmp29_ = NULL;
		gint _tmp29__length1 = 0;
#line 147 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp29_ = actions;
#line 147 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp29__length1 = actions_length1;
#line 147 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp27_ = _tmp29__length1 > 0;
#line 594 "EmbeddedAlert.c"
	} else {
#line 147 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp27_ = FALSE;
#line 598 "EmbeddedAlert.c"
	}
#line 147 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp27_) {
#line 602 "EmbeddedAlert.c"
		gboolean _tmp45_ = FALSE;
		{
			gint i = 0;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			i = 0;
#line 608 "EmbeddedAlert.c"
			{
				gboolean _tmp30_ = FALSE;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				_tmp30_ = TRUE;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
				while (TRUE) {
#line 615 "EmbeddedAlert.c"
					Block7Data* _data7_;
					gint _tmp32_ = 0;
					GtkAction** _tmp33_ = NULL;
					gint _tmp33__length1 = 0;
					GtkAction** _tmp34_ = NULL;
					gint _tmp34__length1 = 0;
					gint _tmp35_ = 0;
					GtkAction* _tmp36_ = NULL;
					GtkAction* _tmp37_ = NULL;
					GtkAction* _tmp38_ = NULL;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_data7_ = g_slice_new0 (Block7Data);
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_data7_->_ref_count_ = 1;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_data7_->self = g_object_ref (self);
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					if (!_tmp30_) {
#line 634 "EmbeddedAlert.c"
						gint _tmp31_ = 0;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
						_tmp31_ = i;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
						i = _tmp31_ + 1;
#line 640 "EmbeddedAlert.c"
					}
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_tmp30_ = FALSE;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_tmp32_ = i;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_tmp33_ = actions;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_tmp33__length1 = actions_length1;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					if (!(_tmp32_ < _tmp33__length1)) {
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
						block7_data_unref (_data7_);
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
						_data7_ = NULL;
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
						break;
#line 658 "EmbeddedAlert.c"
					}
#line 149 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_tmp34_ = actions;
#line 149 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_tmp34__length1 = actions_length1;
#line 149 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_tmp35_ = i;
#line 149 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_tmp36_ = _tmp34_[_tmp35_];
#line 149 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_tmp37_ = _g_object_ref0 (_tmp36_);
#line 149 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_data7_->action_item = _tmp37_;
#line 150 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_tmp38_ = _data7_->action_item;
#line 150 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					if (_tmp38_ != NULL) {
#line 676 "EmbeddedAlert.c"
						GtkButton* action_button = NULL;
						GtkAction* _tmp39_ = NULL;
						GtkButton* _tmp40_ = NULL;
						GtkButton* _tmp41_ = NULL;
#line 151 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
						_tmp39_ = _data7_->action_item;
#line 151 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
						_tmp40_ = granite_widgets_utils_new_button_from_action (_tmp39_);
#line 151 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
						action_button = _tmp40_;
#line 152 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
						_tmp41_ = action_button;
#line 152 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
						if (_tmp41_ != NULL) {
#line 691 "EmbeddedAlert.c"
							GtkButtonBox* _tmp42_ = NULL;
							GtkButton* _tmp43_ = NULL;
							GtkButton* _tmp44_ = NULL;
#line 154 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
							_tmp42_ = self->action_button_box;
#line 154 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
							_tmp43_ = action_button;
#line 154 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
							gtk_box_pack_start ((GtkBox*) _tmp42_, (GtkWidget*) _tmp43_, FALSE, FALSE, (guint) 0);
#line 156 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
							_tmp44_ = action_button;
#line 156 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
							g_signal_connect_data ((GtkWidget*) _tmp44_, "button-release-event", (GCallback) _________lambda4__gtk_widget_button_release_event, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 705 "EmbeddedAlert.c"
						}
#line 150 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
						_g_object_unref0 (action_button);
#line 709 "EmbeddedAlert.c"
					}
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					block7_data_unref (_data7_);
#line 148 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
					_data7_ = NULL;
#line 715 "EmbeddedAlert.c"
				}
			}
		}
#line 164 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp45_ = show_icon;
#line 164 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		if (_tmp45_) {
#line 723 "EmbeddedAlert.c"
			GtkButtonBox* _tmp46_ = NULL;
			GtkButtonBox* _tmp47_ = NULL;
#line 165 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp46_ = self->action_button_box;
#line 165 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			gtk_button_box_set_layout (_tmp46_, GTK_BUTTONBOX_END);
#line 166 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp47_ = self->action_button_box;
#line 166 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			gtk_widget_set_halign ((GtkWidget*) _tmp47_, GTK_ALIGN_END);
#line 734 "EmbeddedAlert.c"
		} else {
			GtkButtonBox* _tmp48_ = NULL;
			GtkButtonBox* _tmp49_ = NULL;
#line 169 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp48_ = self->action_button_box;
#line 169 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			gtk_button_box_set_layout (_tmp48_, GTK_BUTTONBOX_CENTER);
#line 170 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp49_ = self->action_button_box;
#line 170 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			gtk_widget_set_halign ((GtkWidget*) _tmp49_, GTK_ALIGN_CENTER);
#line 746 "EmbeddedAlert.c"
		}
#line 173 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		granite_widgets_embedded_alert_set_buttons_visible (self, TRUE);
#line 750 "EmbeddedAlert.c"
	} else {
		GtkButtonBox* _tmp50_ = NULL;
#line 176 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp50_ = self->action_button_box;
#line 176 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp50_, TRUE);
#line 177 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		granite_widgets_embedded_alert_set_buttons_visible (self, FALSE);
#line 759 "EmbeddedAlert.c"
	}
#line 180 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp51_ = self->primary_text_label;
#line 180 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp52_ = primary_text;
#line 180 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_label_set_markup (_tmp51_, _tmp52_);
#line 181 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp53_ = self->secondary_text_label;
#line 181 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp54_ = secondary_text;
#line 181 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_label_set_markup (_tmp53_, _tmp54_);
#line 773 "EmbeddedAlert.c"
}


void granite_widgets_embedded_alert_set_primary_text_visible (GraniteWidgetsEmbeddedAlert* self, gboolean show_primary_text) {
	GtkLabel* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 184 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 185 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp0_ = self->primary_text_label;
#line 185 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp1_ = show_primary_text;
#line 185 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp0_, !_tmp1_);
#line 186 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp2_ = show_primary_text;
#line 186 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp2_) {
#line 793 "EmbeddedAlert.c"
		GtkLabel* _tmp3_ = NULL;
#line 187 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp3_ = self->primary_text_label;
#line 187 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp3_);
#line 799 "EmbeddedAlert.c"
	} else {
		GtkLabel* _tmp4_ = NULL;
#line 189 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp4_ = self->primary_text_label;
#line 189 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_hide ((GtkWidget*) _tmp4_);
#line 806 "EmbeddedAlert.c"
	}
}


void granite_widgets_embedded_alert_set_secondary_text_visible (GraniteWidgetsEmbeddedAlert* self, gboolean show_secondary_text) {
	GtkLabel* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 192 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 193 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp0_ = self->secondary_text_label;
#line 193 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp1_ = show_secondary_text;
#line 193 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp0_, !_tmp1_);
#line 194 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp2_ = show_secondary_text;
#line 194 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp2_) {
#line 827 "EmbeddedAlert.c"
		GtkLabel* _tmp3_ = NULL;
#line 195 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp3_ = self->secondary_text_label;
#line 195 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp3_);
#line 833 "EmbeddedAlert.c"
	} else {
		GtkLabel* _tmp4_ = NULL;
#line 197 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp4_ = self->secondary_text_label;
#line 197 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_hide ((GtkWidget*) _tmp4_);
#line 840 "EmbeddedAlert.c"
	}
}


void granite_widgets_embedded_alert_set_icon_visible (GraniteWidgetsEmbeddedAlert* self, gboolean show_icon) {
	GtkImage* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 200 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 201 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp0_ = self->image;
#line 201 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp1_ = show_icon;
#line 201 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp0_, !_tmp1_);
#line 202 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp2_ = show_icon;
#line 202 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp2_) {
#line 861 "EmbeddedAlert.c"
		GtkImage* _tmp3_ = NULL;
#line 203 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp3_ = self->image;
#line 203 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp3_);
#line 867 "EmbeddedAlert.c"
	} else {
		GtkImage* _tmp4_ = NULL;
#line 205 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp4_ = self->image;
#line 205 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_hide ((GtkWidget*) _tmp4_);
#line 874 "EmbeddedAlert.c"
	}
}


void granite_widgets_embedded_alert_set_buttons_visible (GraniteWidgetsEmbeddedAlert* self, gboolean show_buttons) {
	GtkButtonBox* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 208 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 209 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp0_ = self->action_button_box;
#line 209 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp1_ = show_buttons;
#line 209 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp0_, !_tmp1_);
#line 210 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp2_ = show_buttons;
#line 210 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp2_) {
#line 895 "EmbeddedAlert.c"
		GtkButtonBox* _tmp3_ = NULL;
#line 211 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp3_ = self->action_button_box;
#line 211 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp3_);
#line 901 "EmbeddedAlert.c"
	} else {
		GtkButtonBox* _tmp4_ = NULL;
#line 213 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp4_ = self->action_button_box;
#line 213 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_hide ((GtkWidget*) _tmp4_);
#line 908 "EmbeddedAlert.c"
	}
}


static void granite_widgets_embedded_alert_class_init (GraniteWidgetsEmbeddedAlertClass * klass) {
#line 27 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_parent_class = g_type_class_peek_parent (klass);
#line 27 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_type_class_add_private (klass, sizeof (GraniteWidgetsEmbeddedAlertPrivate));
#line 27 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	G_OBJECT_CLASS (klass)->finalize = granite_widgets_embedded_alert_finalize;
#line 920 "EmbeddedAlert.c"
}


static void granite_widgets_embedded_alert_instance_init (GraniteWidgetsEmbeddedAlert * self) {
#line 27 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	self->priv = GRANITE_WIDGETS_EMBEDDED_ALERT_GET_PRIVATE (self);
#line 927 "EmbeddedAlert.c"
}


static void granite_widgets_embedded_alert_finalize (GObject* obj) {
	GraniteWidgetsEmbeddedAlert * self;
#line 27 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlert);
#line 34 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->content_hbox);
#line 36 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_g_object_unref0 (self->primary_text_label);
#line 37 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_g_object_unref0 (self->secondary_text_label);
#line 38 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_g_object_unref0 (self->image);
#line 39 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_g_object_unref0 (self->action_button_box);
#line 27 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	G_OBJECT_CLASS (granite_widgets_embedded_alert_parent_class)->finalize (obj);
#line 947 "EmbeddedAlert.c"
}


/**
 * An alert compliant with elementary's HIG
 *
 * TODO: Add description and examples
 */
GType granite_widgets_embedded_alert_get_type (void) {
	static volatile gsize granite_widgets_embedded_alert_type_id__volatile = 0;
	if (g_once_init_enter (&granite_widgets_embedded_alert_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (GraniteWidgetsEmbeddedAlertClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) granite_widgets_embedded_alert_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (GraniteWidgetsEmbeddedAlert), 0, (GInstanceInitFunc) granite_widgets_embedded_alert_instance_init, NULL };
		GType granite_widgets_embedded_alert_type_id;
		granite_widgets_embedded_alert_type_id = g_type_register_static (gtk_event_box_get_type (), "GraniteWidgetsEmbeddedAlert", &g_define_type_info, 0);
		g_once_init_leave (&granite_widgets_embedded_alert_type_id__volatile, granite_widgets_embedded_alert_type_id);
	}
	return granite_widgets_embedded_alert_type_id__volatile;
}


GtkButton* granite_widgets_utils_new_button_from_action (GtkAction* action) {
	GtkButton* result = NULL;
	GtkAction* _tmp0_ = NULL;
	gboolean has_label = FALSE;
	GtkAction* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gboolean has_stock = FALSE;
	GtkAction* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	gboolean has_gicon = FALSE;
	GtkAction* _tmp7_ = NULL;
	GIcon* _tmp8_ = NULL;
	GIcon* _tmp9_ = NULL;
	gboolean has_tooltip = FALSE;
	GtkAction* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
	GtkButton* action_button = NULL;
	gboolean _tmp13_ = FALSE;
	gboolean _tmp24_ = FALSE;
	gboolean _tmp38_ = FALSE;
#line 220 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	g_return_val_if_fail (action != NULL, NULL);
#line 221 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp0_ = action;
#line 221 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp0_ == NULL) {
#line 222 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		result = NULL;
#line 222 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		return result;
#line 1001 "EmbeddedAlert.c"
	}
#line 224 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp1_ = action;
#line 224 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp2_ = gtk_action_get_label (_tmp1_);
#line 224 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp3_ = _tmp2_;
#line 224 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	has_label = _tmp3_ != NULL;
#line 225 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp4_ = action;
#line 225 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp5_ = gtk_action_get_stock_id (_tmp4_);
#line 225 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp6_ = _tmp5_;
#line 225 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	has_stock = _tmp6_ != NULL;
#line 226 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp7_ = action;
#line 226 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp8_ = gtk_action_get_gicon (_tmp7_);
#line 226 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp9_ = _tmp8_;
#line 226 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	has_gicon = _tmp9_ != NULL;
#line 227 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp10_ = action;
#line 227 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp11_ = gtk_action_get_tooltip (_tmp10_);
#line 227 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp12_ = _tmp11_;
#line 227 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	has_tooltip = _tmp12_ != NULL;
#line 229 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	action_button = NULL;
#line 232 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp13_ = has_label;
#line 232 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp13_) {
#line 1041 "EmbeddedAlert.c"
		GtkAction* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		GtkButton* _tmp17_ = NULL;
#line 233 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp14_ = action;
#line 233 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp15_ = gtk_action_get_label (_tmp14_);
#line 233 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp16_ = _tmp15_;
#line 233 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp17_ = (GtkButton*) gtk_button_new_with_label (_tmp16_);
#line 233 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		g_object_ref_sink (_tmp17_);
#line 233 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_g_object_unref0 (action_button);
#line 233 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		action_button = _tmp17_;
#line 1060 "EmbeddedAlert.c"
	} else {
		gboolean _tmp18_ = FALSE;
#line 234 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp18_ = has_stock;
#line 234 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		if (_tmp18_) {
#line 1067 "EmbeddedAlert.c"
			GtkAction* _tmp19_ = NULL;
			const gchar* _tmp20_ = NULL;
			const gchar* _tmp21_ = NULL;
			GtkButton* _tmp22_ = NULL;
#line 235 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp19_ = action;
#line 235 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp20_ = gtk_action_get_stock_id (_tmp19_);
#line 235 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp21_ = _tmp20_;
#line 235 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp22_ = (GtkButton*) gtk_button_new_from_stock (_tmp21_);
#line 235 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			g_object_ref_sink (_tmp22_);
#line 235 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_g_object_unref0 (action_button);
#line 235 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			action_button = _tmp22_;
#line 1086 "EmbeddedAlert.c"
		} else {
			GtkButton* _tmp23_ = NULL;
#line 237 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp23_ = (GtkButton*) gtk_button_new ();
#line 237 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			g_object_ref_sink (_tmp23_);
#line 237 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_g_object_unref0 (action_button);
#line 237 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			action_button = _tmp23_;
#line 1097 "EmbeddedAlert.c"
		}
	}
#line 240 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp24_ = has_stock;
#line 240 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp24_) {
#line 1104 "EmbeddedAlert.c"
		GtkButton* _tmp25_ = NULL;
		GtkAction* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
		const gchar* _tmp28_ = NULL;
		GtkImage* _tmp29_ = NULL;
		GtkImage* _tmp30_ = NULL;
#line 241 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp25_ = action_button;
#line 241 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp26_ = action;
#line 241 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp27_ = gtk_action_get_stock_id (_tmp26_);
#line 241 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp28_ = _tmp27_;
#line 241 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp29_ = (GtkImage*) gtk_image_new_from_stock (_tmp28_, GTK_ICON_SIZE_BUTTON);
#line 241 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		g_object_ref_sink (_tmp29_);
#line 241 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp30_ = _tmp29_;
#line 241 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_button_set_image (_tmp25_, (GtkWidget*) _tmp30_);
#line 241 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_g_object_unref0 (_tmp30_);
#line 1129 "EmbeddedAlert.c"
	} else {
		gboolean _tmp31_ = FALSE;
#line 242 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp31_ = has_gicon;
#line 242 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		if (_tmp31_) {
#line 1136 "EmbeddedAlert.c"
			GtkButton* _tmp32_ = NULL;
			GtkAction* _tmp33_ = NULL;
			GIcon* _tmp34_ = NULL;
			GIcon* _tmp35_ = NULL;
			GtkImage* _tmp36_ = NULL;
			GtkImage* _tmp37_ = NULL;
#line 243 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp32_ = action_button;
#line 243 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp33_ = action;
#line 243 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp34_ = gtk_action_get_gicon (_tmp33_);
#line 243 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp35_ = _tmp34_;
#line 243 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp36_ = (GtkImage*) gtk_image_new_from_gicon (_tmp35_, GTK_ICON_SIZE_BUTTON);
#line 243 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			g_object_ref_sink (_tmp36_);
#line 243 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_tmp37_ = _tmp36_;
#line 243 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			gtk_button_set_image (_tmp32_, (GtkWidget*) _tmp37_);
#line 243 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
			_g_object_unref0 (_tmp37_);
#line 1161 "EmbeddedAlert.c"
		}
	}
#line 245 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	_tmp38_ = has_tooltip;
#line 245 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	if (_tmp38_) {
#line 1168 "EmbeddedAlert.c"
		GtkButton* _tmp39_ = NULL;
		GtkAction* _tmp40_ = NULL;
		const gchar* _tmp41_ = NULL;
		const gchar* _tmp42_ = NULL;
#line 246 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp39_ = action_button;
#line 246 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp40_ = action;
#line 246 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp41_ = gtk_action_get_tooltip (_tmp40_);
#line 246 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		_tmp42_ = _tmp41_;
#line 246 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) _tmp39_, _tmp42_);
#line 1183 "EmbeddedAlert.c"
	}
#line 248 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	result = action_button;
#line 248 "/usr/src/RPM/BUILD/switchboard-2.0.1/src/EmbeddedAlert.vala"
	return result;
#line 1189 "EmbeddedAlert.c"
}



